%define upstream_name    Proc-Background
%define upstream_version 1.32

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Generic interface to Unix and Win32 background process management
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/B/BZ/BZAJAC/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
This is a generic interface for placing processes in the background on both 
Unix and Win32 platforms. This module lets you start, kill, wait on, 
retrieve exit values, and see if background processes still exist.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install
rm -rf $RPM_BUILD_ROOT/%{perl_vendorarch}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/*
%{_mandir}/man3/*
%{_mandir}/man1/*
%{_bindir}/*

%changelog
* Tue Aug 29 2023 tv <tv> 1.320.0-1.mga10
+ Revision: 1981013
- update to 1.32

* Mon Mar 21 2022 umeabot <umeabot> 1.300.0-2.mga9
+ Revision: 1815086
- Mageia 9 Mass Rebuild

* Thu Oct 28 2021 tv <tv> 1.300.0-1.mga9
+ Revision: 1753110
- update to 1.30

* Sat Jul 17 2021 tv <tv> 1.220.0-1.mga9
+ Revision: 1736461
- update to 1.22

* Mon Feb 17 2020 umeabot <umeabot> 1.210.0-2.mga8
+ Revision: 1537673
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Nov 06 2019 tv <tv> 1.210.0-1.mga8
+ Revision: 1458380
- update to 1.21

* Tue Nov 05 2019 tv <tv> 1.200.0-1.mga8
+ Revision: 1457757
- update to 1.20

* Wed Sep 19 2018 umeabot <umeabot> 1.100.0-8.mga7
+ Revision: 1270877
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.100.0-7.mga6
+ Revision: 1032695
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.100.0-6.mga6
+ Revision: 947544
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.100.0-5.mga5
+ Revision: 741155
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.100.0-4.mga5
+ Revision: 686054
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.100.0-3.mga4
+ Revision: 514325
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.100.0-2.mga3
+ Revision: 372131
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 1.100.0-1.mga2
+ Revision: 36518
- mageia rebuild
- imported package perl-Proc-Background

